Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.spi
Class PacketRouterImpl

    java.lang.Object
      org.jivesoftware.openfire.container.BasicModule
          org.jivesoftware.openfire.spi.PacketRouterImpl

All Implemented Interfaces:
  Module, PacketRouter

    public class PacketRouterImpl

extends BasicModule
implements PacketRouter

An uber router that can handle any packet type.

The interface is provided primarily as a convenience for services that must route all packet types (e.g. s2s routing, e2e encryption, etc).

Author:
  Iain Shigeoka

Constructor Summary
`PacketRouterImpl()` Constructs a packet router.

Method Summary
`void` | `initialize(XMPPServer server)` Initializes the basic module.
`void` | `route(org.xmpp.packet.IQ packet)` Routes the given IQ packet.
`void` | `route(org.xmpp.packet.Message packet)` Routes the given Message packet.
`void` | `route(org.xmpp.packet.Packet packet)` Routes the given packet based on packet recipient and sender.
`void` | `route(org.xmpp.packet.Presence packet)` Routes the given Presence packet.

Methods inherited from class org.jivesoftware.openfire.container.BasicModule
`destroy, getName, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PacketRouterImpl

    public PacketRouterImpl()

  Constructs a packet router.

Method Detail

### route

    public void route(org.xmpp.packet.Packet packet)

  Routes the given packet based on packet recipient and sender. The router defers actual routing decisions to other classes.

  ## Warning

  Be careful to enforce concurrency DbC of concurrent by synchronizing any accesses to class resources.

  Specified by:
    `route` in interface `PacketRouter`
  Parameters:
    `packet` - The packet to route

### route

    public void route(org.xmpp.packet.IQ packet)

  Description copied from interface: `PacketRouter`
  Routes the given IQ packet.

  Specified by:
    `route` in interface `PacketRouter`
  Parameters:
    `packet` - The packet to route.

### route

    public void route(org.xmpp.packet.Message packet)

  Description copied from interface: `PacketRouter`
  Routes the given Message packet.

  Specified by:
    `route` in interface `PacketRouter`
  Parameters:
    `packet` - The packet to route.

### route

    public void route(org.xmpp.packet.Presence packet)

  Description copied from interface: `PacketRouter`
  Routes the given Presence packet.

  Specified by:
    `route` in interface `PacketRouter`
  Parameters:
    `packet` - The packet to route.

### initialize

    public void initialize(XMPPServer server)

  Description copied from class: `BasicModule`

  Initializes the basic module.

  Inheriting classes that choose to override this method MUST call this initialize() method before accessing BasicModule resources.

  Specified by:
    `initialize` in interface `Module`
  Overrides:
    `initialize` in class `BasicModule`
  Parameters:
    `server` - the server hosting this module.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.